XScreenSaver(1)

NAME
ljlatest - prints the most recent public posts on livejournal.com.

SYNOPSIS
ljlatest [--verbose] [--count N] [--columns N] [--images] [url]

DESCRIPTION
The ljlatest script reads the most recent public posts made to livejournal.com, and prints them on stdout, after doing a rudimentary conversion of HTML to plain text. This is intended as a replacement for fortune(1) for use with those xscreensaver(1) programs that run an external program to generate text. For example:
    fontglide -program ljlatest
    starwars -program ljlatest
    phosphor -scale 2 -program 'ljlatest --cols 40'

OPTIONS
ljlatest accepts the following options:

--count N
    How many entries to print; the default is to print all that are available in the LiveJournal RSS file (a few hundred.)

--columns N or --cols N
    Where to wrap lines; default 72 columns.

--images
    Instead of printing the plain text of the recent entries, print HTML of all of the inlined images in the recent entries. Using this option, you can create an HTML page of images recently posted to LiveJournal.

--verbose or -v
    Print diagnostics to stderr. Multiple -v switches increase the amount of output.

url Which URL to load; default:
        http://www.livejournal.com/stats/latest-rss.bml

ENVIRONMENT

http_proxy or HTTP_PROXY
    to get the default HTTP proxy host and port.

BUGS
This program makes it seem like morons have invaded your screen saver. The output is always ISO-8859-1, regardless of locale.

SEE ALSO
http://www.livejournal.com/, xscreensaver(1), fortune(1), phosphor(1), apple2(1), starwars(1), fontglide(1), dadadodo(1), webcollage(1), driftnet(1) EtherPEG, EtherPeek

COPYRIGHT
Copyright © 2003 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 30-Aug-2003.